levelshots/slippytj_b1_cc_automap
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/slippytj_b1_cc.tga
		depthFunc equal
		rgbGen identity
	}
}

levelshots/slippytj_cc_trans
{
	nopicmip
	nocompress
	nomipmaps
	{
		clampmap levelshots/slippytj_b1_cc.tga
		blendfunc blend
		rgbGen identity
		alphaGen vertex
	}
}

textures/broken/protolava
{
	
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
        {
		map textures/broken/protolava2.jpg
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/broken/protolava.jpg
                blendfunc blend
		tcMod turb 0 .2 0 .1
	}

}

textures/tom/flames
{
	qer_editorimage textures/sfx/flame1.jpg
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	q3map_surfacelight 550
	cull none
	{
		videoMap video/flame.roq
		blendfunc add
	}
}

textures/skies/hw_entropic
{
	qer_editorimage env/hw_entropic/entropic_ft.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	surfaceparm sky
	q3map_surfacelight 70
	q3map_sun 1 1 1 100 0 90
	skyparms env/hw_entropic/entropic - -
}

textures/kjtexs/concrete_m05c_slick
{
	qer_editorimage textures/miltary_wall/concrete_m05c.tga
	surfaceparm slick
	surfaceparm nodamage
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/miltary_wall/concrete_m05c.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/kjtexs/darkwater_fog
{
     cull none
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
	qer_editorimage textures/kjtexs/darkwater.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
		{ 
		fog on
		map textures/kjtexs/darkwater.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	
	{ 
		fog on
		map textures/kjtexs/darkwaterr.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/kjtexs/darkwaterr.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
}


textures/kjtexs/darkwater
{
     cull none 
	nofog
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
	qer_editorimage textures/kjtexs/darkwater.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
		{ 
		fog on
		map textures/kjtexs/darkwater.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	
	{ 
		fog on
		map textures/kjtexs/darkwaterr.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/liquids/pool3d_3c.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
}

textures/kjtexs/constfog
{ 
     qer_editorimage textures/kjtexs/constfog.tga
	q3map_globaltexture
     cull none 
     noPicmip 
surfaceparm nomarks
     { 
          map textures/kjtexs/constfog.tga 
          rgbGen const ( 1.0 1.0 1.0 )
     } 
}

textures/kjtexs/woodslick
{
	surfaceparm woodsteps
	surfaceparm slick
	surfaceparm nodamage
	implicitMap -
}

textures/kjtexs/skate_letters
{ 
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans 
     { 
          map textures/kjtexs/skate_letters.jpg 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 1.00 1.00 0.00 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/kjtexs/tick
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/tick.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/tick.tga
}

textures/kjtexs/1
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/1.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/1.tga
}

textures/kjtexs/2
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/2.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/2.tga
}

textures/kjtexs/3
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/3.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/3.tga
}

textures/kjtexs/4
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/4.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/4.tga
}

textures/kjtexs/5
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/5.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/5.tga
}

textures/kjtexs/6
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/6.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/6.tga
}

textures/kjtexs/7
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/7.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/7.tga
}

textures/kjtexs/8
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/8.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/8.tga
}

textures/kjtexs/hankjump
{
	qer_trans 0.85
	qer_editorimage textures/kjtexs/hankjump.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans

	implicitMask textures/kjtexs/hankjump.tga
}

textures/kjtexs/iceyboyslick
{
	qer_editorimage textures/kjtexs/icelake2.tga
	surfaceparm slick

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/kjtexs/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

textures/kjtexs/iceyboy
{
	qer_editorimage textures/snow_sd/icelake2.tga
	surfaceparm slick
	surfaceparm nodamage

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/snow_sd/icelake2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

textures/kjtexs/wood_m05a_snow_slick
{
	qer_editorimage textures/kjtexs/wood_m05a_snow_gtk.tga
	surfaceparm woodsteps
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm monsterslicknorth
	{
		map textures/snow_sd/wood_m05a_snow.tga
		rgbgen identity
		detail
	}
	{
		map textures/kjtexs/skate_env.tga
		tcgen environment
		rgbGen blend
		blendfunc filter
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/kjtexs/wood_m05a_snow_cush
{
	qer_editorimage textures/snow_sd/wood_m05a_snow.tga
	surfaceparm woodsteps
	surfaceparm nodamage
	surfaceparm monsterslicknorth
	{
		map textures/snow_sd/wood_m05a_snow.tga
		rgbgen filter
		detail
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/kjtexs/construction_nonsolid
{ 
     qer_editorimage textures/sfx/construction.tga
     cull none 
     deformVertexes wave 1 sin -0.5 0 0 1
     noPicmip 
     surfaceparm trans
     surfaceparm nonsolid 
     { 
          map textures/sfx/construction.tga 
          blendFunc GL_SRC_ALPHA GL_ONE 
          rgbGen const ( 0.25 0.25 0.25 )
          tcGen environment 
          tcMod scroll 0.025 -0.07625 
     } 
}

textures/kjtexs/fullmoon
{
	q3map_skylight 275 3
	cull none
	nofog
	{
		map textures/kjtexs/fullmoon.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen identityLighting
	}
}

textures/kjtexs/skyboy
{
	qer_editorimage textures/sfx/fog_grey1.tga
	sunshader textures/kjtexs/fullmoon
	q3map_sun 50 50 50 50 270 145
	q3map_skylight 100 1
	skyparms - 200 -
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
}

textures/kjtexs/fog
{
	qer_editorimage textures/sfx/fog_grey1.tga
	fogparms ( 0.6 0.6 0.6 ) 12000
	surfaceparm fog
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/kjtexs/light2k
{
	qer_editorimage textures/lights/light_m16.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lights/light_m16.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/lights/light_m16.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/kjtexs/water_calm2
{
	qer_editorimage textures/liquids/pool3d_3c.tga
	qer_trans .5
	nofog
	cull disable
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	{
		map textures/liquids/pool3d_5c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
		fog on
	}
	{
		map textures/liquids/pool3d_6c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
		fog on
	}
	{
		map textures/liquids/pool3d_3c.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/kjtexs/metal_shiny
{
	qer_editorimage textures/metal_misc/metal_m04dg.tga

	{
		map textures/metal_misc/metal_m04dg.tga
		blendfunc blend
	}
	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/kjtexs/catvid1
	{
	qer_editorimage textures/kjtexs/catvid1.jpg
	surfaceparm nolightmap
	cull none
	{
		videoMap video/catvid1.roq
		blendfunc blend
	}
}

textures/kjtexs/catvid2
	{
	qer_editorimage textures/kjtexs/catvid2.jpg
	surfaceparm nolightmap
	cull none
	{
		videoMap video/catvid2.roq
		blendfunc blend
	}
}

textures/kjtexs/catvid3
	{
	qer_editorimage textures/kjtexs/catvid3.jpg
	surfaceparm nolightmap
	cull none
	{
		videoMap video/catvid3.roq
		blendfunc blend
	}
}

textures/kjtexs/box_m05a
{
	qer_editorimage textures/props/box_m05a.tga
	surfaceparm woodsteps
	surfaceparm nodamage
	surfaceparm monsterslicknorth
	{
		map textures/props/box_m05a.tga
		rgbgen filter
		detail
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
